SIVP Toolbox
Last update : July, 2006

imabsdiff - Calculate absolute difference of two images

### Calling Sequence

  `imout = imabsdiff(im1, im2)`

### Parameters

- `im1, im2`: Input images, which can be any kinds of images, but must have the same width, height, class and number of channels.
- `imout`: The absolute difference of two input images.

### Description

`imabsdiff` calculate the absolute difference of two images. The two input images must have the same width, height, class and number of channels.

If `im1` and `im2` are an integer matrices, the elements in the output matrix `imout` that exceed the range of the integer type will be truncated.

Supported classes: INT8, UINT8, INT16, UINT16, INT32, DOUBLE.

### Authors

  Shiqi Yu <shiqi.yu[at]gmail.com>

### Availability

The latest version of SIVP can be found at

http://sivp.sourceforge.net

### See Also

`imadd`, `imsubtract`, `immultiply`, `imdivide`, `imcomplement`, `imlincomb`,